MDIFFFITEXEC(1)

NAME
mDiffFitExec - Run mDiff and mFitplane for each record found by mOverlaps

SYNOPSIS
mDiffFitExec [-d] [-l(evel-only)] [-n(o-areas)] [-p projdir] [-s statusfile] diffs.tbl region.hdr diffdir fits.tbl

DESCRIPTION
Using the table of overlaps found by mOverlaps, mDiffFitExec runs both mDiff and mFitplane for each record. The fitting parameters are written to a file to be used by mBgModel.

OPTIONS

-d  Turns on debugging

-l  Only find image background level differences, not slope offsets.

-p  Directory containing projected images.

-s statusfile
    Writes output message to statusfile instead of to stdout

ARGUMENTS

diffs.tbl
    Overlap table generated by mOverlaps, listing all the image pairs that overlap.

region.hdr
    FITS header template that was used to reproject the images.

diffdir
    Working directory for the difference images.

fits.tbl
    Output table of difference parameters.

RESULT
Generates a table, fits.tbl, containing all the information generated by running mDiff for the image pairs in diffs.tbl and then mFitplane on each difference image. count is the number of overlaps in diffs.tbl, diff_failed is the number that generated an error condition for mDiff, fit_failed is the number that generated an error condition for mFitplane, and nwarning is the number that generated a warning.

MESSAGES

ERROR
    Cannot open status file: statusfile

ERROR
    Can't open output file.

ERROR
    Invalid diffs metadata file: diffsfile

ERROR
    Need columns: cntr1 cntr2 plus minus diff

ERROR
    svc library error

EXAMPLES

First, diffs.tbl is generated for a collection of reprojected images using mOverlap:

$ mDiffFitExec -d -p projected diffs.tbl gal.hdr diffs fits.tbl
    [struct stat="OK", count=6, diff_failed=0, fit_failed=0, warning=0]

Output file: fits.tbl.

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.